Package net.shibboleth.idp.attribute.config

# Class AbstractMetadataDrivenConfigurationLookupStrategy.CachedConfigurationContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
net.shibboleth.idp.attribute.config.AbstractMetadataDrivenConfigurationLookupStrategy.CachedConfigurationContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

Enclosing class:
  AbstractMetadataDrivenConfigurationLookupStrategy<T>

public static final class AbstractMetadataDrivenConfigurationLookupStrategy.CachedConfigurationContext extends BaseContext
A child context that caches derived configuration properties.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private Map<String,Object>`
`propertyMap`
Cached property map.

## Constructor Summary

Constructors
Constructor
Description
`CachedConfigurationContext()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`(package private) Map<String,Object>`
`getPropertyMap()`
Get cached property map.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### propertyMap

@Nonnull private Map<String,Object> propertyMap
Cached property map.

## Constructor Details

### CachedConfigurationContext

public CachedConfigurationContext()
Constructor.

## Method Details

### getPropertyMap

@Nonnull @Live Map<String,Object> getPropertyMap()
Get cached property map.

Returns:
  cached property map